Package org.apache.batchee.jaxb

## Class BatchArtifactRef

- java.lang.Object
- - org.apache.batchee.jaxb.BatchArtifactRef

-     public class BatchArtifactRef
      extends Object

  Java class for BatchArtifactRef complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="BatchArtifactRef">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `clazz` |
    `protected String` | `id` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BatchArtifactRef()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getClazz()` | Gets the value of the clazz property.
    `String` | `getId()` | Gets the value of the id property.
    `void` | `setClazz​(String value)` | Sets the value of the clazz property.
    `void` | `setId​(String value)` | Sets the value of the id property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### clazz

          protected String clazz

  - ### Constructor Detail

    - #### BatchArtifactRef

          public BatchArtifactRef()

  - ### Method Detail

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId​(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getClazz

          public String getClazz()

      Gets the value of the clazz property.
      Returns:
        possible object is `String`

    - #### setClazz

          public void setClazz​(String value)

      Sets the value of the clazz property.
      Parameters:
        `value` - allowed object is `String`